* {
    margin: 0;
    padding: 0;
    font-family: 'Open Sans', sans-serif;
}

html {
    scroll-behavior: smooth;
}

#banner {
    background: #ffe62f;
    height: 100vh;
    display: inline-grid;
}
/* container form*/
#banner2 {
    background: #ffe62f;
    height: 100vh;
    display: block;
    text-align: center;
}
.container-form{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 40px;
}
.container-form form {
    background: white;
    display: flex;
    flex-direction: column;
    padding: 2vw 4vw;
    width: 90%;
    max-width: 600px;
    border-radius: 4px;
}
.container-form form h3 {
    color: #ED1A51;
    font-weight: 700;
    margin-bottom: 20px;
}
form input, textarea {
    border: 0;
    margin: 10px 0;
    padding: 20px;
    outline: none;
    background: #f5f5f5;
    font-size: 16px;
    resize: none;
}
form button {
    padding: 16px;
    background: #ED1A51;
    color: white;
    font-size: 16px;
    border: 0;
    outline: none;
    cursor: pointer;
    width: 120px;
    margin: 20px auto 0;
    border-radius: 32px;
}
  
/* container form end*/
.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0 40px;
}
.main-logo {
    margin: auto 24px;
}
.navbar img {
    width: 200px;
}

.container .input{
	border: 0;
	outline: none;
	color: #ED1A51;
}

.search_wrap{
	width: 680px;
	margin: 20px auto;
}

.search_wrap .search_box{
	position: relative;
	width: 90%;
	height: 60px;
}

.search_wrap .search_box .input{
	position: absolute;
	top: 0;
	left: 0;
	width: 96%;
	height: 63%;
	padding: 12px 20px;
	border-radius: 3px;
	font-size: 16px;
}

.search_wrap .search_box .btn{
	position: absolute;
	top: 0;
	right: 0;
	width: 60px;
	height: 100%;
	background: #ED1A51;
	z-index: 1;
	cursor: pointer;
}

.search_wrap .search_box .btn:hover{
	background: #ed1a52d0;	
}

.search_wrap .search_box .btn.btn_common .fas{
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%,-50%);
	color: #fff;
	font-size: 20px;
}

/* .search_wrap.search_wrap_3 .search_box .input{
	padding-right: 80px;
} */

.search_wrap.search_wrap_3 .search_box .input{
	border-radius: 50px;
}

.search_wrap.search_wrap_3 .search_box .btn{
	right: -14px;
	border-radius: 50%;
}

#sideNav {
    width: 240px;
    height: 100vh;
    position: fixed;
    right: -240px;
    top: 0;
    background: #ED1A51;
    z-index: 9;
    transition: 0.4s;
}

nav {
    margin-top: 120px;
}

nav ul li {
    list-style: none;
    margin: 50px 20px;
}

nav ul li a {
    text-decoration: none;
    color: #fff;
}

#menuButton {
    text-align: center;
    width: 52px;
    height: 56px;
    right: 32px;
    top: 60px;
    background: #ED1A51;
    border-radius: 4px;
    z-index: 10;
    cursor: pointer;
}

#menuButton img {
    width: 24px;
    margin-top: 16px;
}

/* feature */
#feature {
    width: 90%;
    padding: 64px 0;
    margin: auto;
}

.title-text {
    text-align: center;
    padding-bottom: 64px;
}

.title-text p {
    display: inline-block;
    margin: auto;
    font-size: 40px;
    color: #ED1A51;
    font-weight: bold;
    text-transform: uppercase;
    position: relative;
    z-index: 1;
}

/* .title-text p::after {
    content: '';
    position: absolute;
    top: -20px;
    left: 0;
    font-size: 52px;
    height: 36px;
    width: 52px;
    background: linear-gradient(#ED1A51, #fff);
    z-index: -1;
    transform: rotate(4deg);
    border-top-left-radius: 32px;
    border-bottom-right-radius: 16px;
} */

.title-text h1 {
    font-size: 20px;
}

.feature-box {
    width: 80%;
    margin: 40px auto;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    text-align: center;
}

.features {
    flex-basis: 50%;
}

.features-img {
    flex-basis: 50%;
    margin: auto;
}

.features-img img {
    width: 72%;
    border-radius: 8px;
}

.features h1 {
    text-align: left;
    margin-bottom: 8px;
    font-weight: 100;
    color: #ED1A51;
}

.features-desc {
    display: flex;
    align-items: center;
    margin-bottom: 40px;
}

.features-icon .fa-solid {
    width: 48px;
    height: 48px;
    font-size: 32px;
    line-height: 48px;
    color: #ED1A51;
    border: 1px solid #ED1A51;
    border-radius: 8px;
}

.features-text p {
    padding: 0 20px;
    text-align: initial;
}

#footer {
    padding: 40px 0 0;
    background: #f9f9f9;
}

.footer-row {
    width: 80%;
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
}

.footer {
    flex-basis: 100%;
    padding: 8px;
    margin-bottom: 20px;
}

.footer {
    text-align: center;
}

.footer-row h1 {
    margin: 10px 0;
}

.footer .fa-solid {
    margin: 8px;
    font-size: 16px;
    color: #ED1A51;
}

.social-links {
    text-align: center;
}

.social-links .fa-brands {
    height: 40px;
    width: 40px;
    line-height: 40px;
    font-size: 20px;
    margin: 40px 4px 0;
    color: #ED1A51;
}

.social-links .fa-brands:hover {
    cursor: pointer;
}

.copyrights {
    text-align: center;
    background-color: #3f3f3f;
}

.copyrights p {
    margin: 0 auto;
    padding: 4px 0;
    font-size: 16px;
    color: #fff;
}

.product {
    position: relative;
    overflow: hidden;
    padding: 20px;
    display: flex;
    align-items: center;
  }
  
  /* .product-category {
    padding: 0 10vw;
    font-size: 30px;
    font-weight: 500;
    margin-bottom: 40px;
    text-transform: capitalize;
  } */
  
  .product-container {
    padding: 0 10vw;
    display: flex;
    overflow-x: auto;
    scroll-behavior: smooth;
  }
  
  .product-container::-webkit-scrollbar {
    display: none;
  }
  
  .product-card {
    flex: 0 0 auto;
    width: 280px;
    height: 520px;
    margin-right: 40px;
  }
  
  .product-image {
    position: relative;
    width: 100%;
    height: 350px;
    overflow: hidden;
  }
  
  .product-thumb {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
  
  .discount-tag {
    position: absolute;
    background: #fff;
    padding: 5px;
    border-radius: 5px;
    color: #ff7d7d;
    right: 10px;
    top: 10px;
    text-transform: capitalize;
  }
  
  .card-btn {
    position: absolute;
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%);
    padding: 10px;
    width: 90%;
    text-transform: capitalize;
    border: none;
    outline: none;
    background: #fff;
    border-radius: 5px;
    transition: 0.5s;
    cursor: pointer;
    opacity: 0;
  }
  
  .product-card:hover .card-btn {
    opacity: 1;
  }
  
  .card-btn:hover {
    background: #ff7d7d;
    color: #fff;
  }
  
  .product-info {
    width: 100%;
    height: 100px;
    padding-top: 10px;
  }
  
  .product-brand {
    text-transform: uppercase;
  }
  
  .product-short-description {
    width: 100%;
    height: 20px;
    line-height: 20px;
    overflow: hidden;
    opacity: 0.5;
    text-transform: capitalize;
    margin: 5px 0;
  }
  
  .price {
    font-weight: 900;
    font-size: 20px;
  }
  
  .actual-price {
    margin-left: 20px;
    opacity: 0.5;
    text-decoration: line-through;
  }
  
  .pre-btn,
  .nxt-btn {
    border: none;
    width: 8vw;
    height: 100%;
    position: absolute;
    top: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background: linear-gradient(90deg, rgba(255, 255, 255, 0.4) 10%, #ffe62f 100%);
    cursor: pointer;
    z-index: 8;
  }

  
  .pre-btn {
    left: 0;
    transform: rotate(180deg);
  }
  
  .nxt-btn {
    right: 0;
  }
  
  .pre-btn img,
  .nxt-btn img {
    opacity: 0.2;
  }
  
  .pre-btn:hover img,
  .nxt-btn:hover img {
    opacity: 1;
  }


  .collection-container {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 10px;
  }
  
  .collection {
    position: relative;
  }
  
  .collection img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
  
  .collection p {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    color: #fff;
    font-size: 50px;
    text-transform: capitalize;
  }
  
  .collection:nth-child(3) {
    grid-column: span 2;
    margin-bottom: 10px;
  }
  

/* max-width: 800px */
@media screen and (max-width: 800px) {
    .navbar img {
        width: 120px;
    }
    .search_wrap{
        width: 400px;
        margin: 16px;
    }
    .search_wrap .search_box .input{
        width: 93%;
    }
    .clickable-photo{
        margin: auto;
        text-align: center;
        padding-top: 160px;
    }
    .clickable-photo-col img {
        width: 260px;
    }

    #feature {
        width: 100%;
    }

    .title-text p {
        margin: auto 20px;
        font-size: 24px;
    }

    .features {
        flex-basis: 100%;
    }

    .features-img {
        flex-basis: 100%;
    }

    .features-img img {
        width: 80%;
    }

    .footer {
        font-size: 12px;
        padding: 8px;
        margin-bottom: 12px;
    }
}